<?php

set_time_limit(0); // you might need this because sending emails with attachements takes a while

$from = 'example@example.com'; // email sender
$to = 'your-email@example.com'; // email receiver


$emailBodyHtml = '<h2>This is the title</h2><p>and this is the content</p>'; // this is the email body as HTML 

$emailBodyPlainTxt = "This is the title
And this is the content"; // the safest way is to provide a plain text alternative to make sure that the message can be read by any email client

$subject = 'Test email with attachment'; // the subject for your email

$files = array('Test_1.pdf', 'test_2.jpg'); // this is an array holing the paths to the files we want to attach

$attachments = array();
foreach ($files as $key=>$value) // we will construct this new array just to show that you can set a different filename than the one you have on your machine
{
	$attachments[] = array(
								'filename'=>$value,
								'attachment'=>chunk_split(base64_encode(file_get_contents($value)))
	);
}

// create an uniquie hash based upon the current time
$random_hash = md5(microtime());

// set message headers
$headers = "From: ".$from."\r\nReply-To: ".$from;

// set content type to mixed
$headers .= "\r\nContent-Type: multipart/mixed; boundary=\"PHP-mixed-".$random_hash."\"";

// create the mail body.. using the html message, the plain text and the attachements 
$message = <<<heredoc
--PHP-mixed-$random_hash 
Content-Type: multipart/alternative; boundary="PHP-alt-$random_hash"

--PHP-alt-$random_hash 
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 7bit

$emailBodyPlainTxt

--PHP-alt-$random_hash 
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: 7bit

$emailBodyHtml

--PHP-alt-$random_hash--

heredoc;
foreach ($attachments as $key=>$value) // add each attachement here
{
$filename = $value['filename'];
$attachment = $value['attachment'];
$message .= <<<heredoc
--PHP-mixed-$random_hash 
Content-Type: application/zip; name="$filename" 
Content-Transfer-Encoding: base64 
Content-Disposition: attachment 

$attachment

heredoc;
}

// end of the message
$message .= <<<heredoc
--PHP-mixed-$random_hash--
heredoc;

// send the email
$mail_sent = mail( $to, $subject, $message, $headers );

if ($mail_sent) // use mail function's return value to tell if the email was successfully sent
{
	echo 'Mail sent<br />';
}
else
{
	echo 'Mail failed<br / >'; 
}
?>